/*! \file Arduino.cpp
    \brief Librairie Emulation Arduino pour le CESI.
    \author Bertrand Vandeportaele IUT GEII
    \date  14/02/2022
*/


#include "Arduino.h"


#include <sys/time.h>
#include <stdio.h>
#include <unistd.h>

struct timeval __millis_start;

void init_millis() {
    gettimeofday(&__millis_start, NULL);
};

unsigned long int millis() {
    long mtime, seconds, useconds;
    struct timeval end;
    gettimeofday(&end, NULL);
    seconds  = end.tv_sec  - __millis_start.tv_sec;
    useconds = end.tv_usec - __millis_start.tv_usec;

    mtime = ((seconds) * 1000 + useconds/1000.0) + 0.5;
    return mtime;
};



