/*! \file sketch.cpp
    \brief Emulation sketch Arduino pour le CESI.
    \author Bertrand Vandeportaele IUT GEII
    \date  14/02/2022
*/
#include "sketch.h"


#include "lib_io_tp.h"
 

//////////////////////////////////////////////////////
void setup(){
    char nom[]="Bertrand Vandeportaele";
    //adresse ip de la boucle locale pour simulation
    char ip[]="127.0.0.1";
    //adresse ip de la maquette arduino réelle sur le réseau iut gomette bleue
    //char ip[]="172.16.6.60";
    char port[]="4242";
    init_millis();    
    int r=setupES(strdup((std::string(ip).data())),strdup((std::string(port).data())));
    if (r!=0){
        printf("erreur ouverture socket, merci de lancer le simulateur ou d'allumer la carte téléopérée\n");
        exit(-1);
    }
    setName(strdup((std::string(nom).data())));
    printf("Elapsed time: %ld milliseconds\n", millis());
}
//////////////////////////////////////////////////////
void loop(){
    unsigned int periodiciteTache1=10;
    static unsigned long timerTache1 = millis();
    if (millis() - timerTache1 >= periodiciteTache1) {
        timerTache1 += periodiciteTache1;
        writePort(readPort());
    }
    unsigned int periodiciteTache2=1000;
    static unsigned long timerTache2 = millis();
    if (millis() - timerTache2 >= periodiciteTache2) {
        timerTache2 += periodiciteTache2;
        static unsigned int cpt=0;
        cpt++;
        char chaine[100];
        sprintf(chaine,"cpt=%d",cpt);
        printf("%s",chaine);
        setMsg(chaine);
    }
}
